ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Staatskasse"
ENT.Spawnable = true
ENT.Category = "Mapobjekte"
ENT.RenderGroup = RENDERGROUP_BOTH

local Config = EconomyConfig

function ENT:SetupDataTables()
	self:NetworkVar("Bool", 0, "Available")
	if SERVER then
		self:SetAvailable(Config.RaidAllowed)
	end
end

function ENT:PhysgunPickup(ply)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end